Nessus just released a plugin to scan for the lastest Cisco ASA vulnerabilities.  I haven’t yet heard of any IDS rules for this.  I also have yet to try the plugin.